AuthNZApi
createApiKey
Request
PUT https://api.dataspray.io/v1/organization/{organizationName}/auth/apikey (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| ApiKeyCreate | Body | ApiKeyCreate |
Response ApiKeyWithSecret
listApiKeys
Request
POST https://api.dataspray.io/v1/organization/{organizationName}/auth/apikeys (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
Response ApiKeys
revokeApiKey
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| apiKeyId | Path | String | [default to null] |
Response null (empty response body)
signIn
Request
POST https://api.dataspray.io/v1/auth/sign-in (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| SignInRequest | Body | SignInRequest |
Response SignInResponse
signInChallengePasswordChange
Request
POST https://api.dataspray.io/v1/auth/sign-in/password-change (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| SignInChallengePasswordChangeRequest | Body | SignInChallengePasswordChangeRequest |
Response SignInResponse
signInChallengeTotpCode
Request
POST https://api.dataspray.io/v1/auth/sign-in/totp (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| SignInChallengeTotpCodeRequest | Body | SignInChallengeTotpCodeRequest |
Response SignInResponse
signInRefreshToken
Request
POST https://api.dataspray.io/v1/auth/sign-in/refresh (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| SignInRefreshTokenRequest | Body | SignInRefreshTokenRequest |
Response SignInResponse
signOut
Request
POST https://api.dataspray.io/v1/auth/sign-out (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| SignOutRequest | Body | SignOutRequest |
Response null (empty response body)
signUp
Request
PUT https://api.dataspray.io/v1/auth/sign-up (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| SignUpRequest | Body | SignUpRequest |
Response SignUpResponse
signUpConfirmCode
Request
PUT https://api.dataspray.io/v1/auth/sign-up/code (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| SignUpConfirmCodeRequest | Body | SignUpConfirmCodeRequest |
Response SignUpResponse